;========================================================
; Gundum Death-Scythe's Command file.
;========================================================

;---------------------------------------------------------------------------
[Command]
name = "hurricane_xy"
command = ~D, DF, F, x+y

[Command]
name = "shield_x"
command = ~D, DF, F, x

[Command]
name = "shield_y"
command = ~D, DF, F, y

[Command]
name = "cyclone_x"
command = ~F, D, DF, x

[Command]
name = "cyclone_y"
command = ~F, D, DF, y

[Command]
name = "up_c"
command = /U, c
Time = 1

[Command]
name = "fwd_c"
command = /F, c
Time = 1

[Command]
name = "back_c"
command = /B, c
Time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;---------------------------
; Required(do not remove)
;---------------------------
[Command]
name = "FF"
command = F, F
time = 10

[Command]
name = "BB"
command = B, B
time = 10

[Command]
name = "recovery"
command = x+y
time = 1

[Command]
name = "recovery"
command = a+b
time = 1

[Command]
name = "holdfwd"
command = /$F
time = 1

[Command]
name = "holdback"
command = /$B
time = 1

[Command]
name = "holdup" 
command = /$U
time = 1

[Command]
name = "holddown" 
command = /$D
time = 1

;===========================================================================================

[Statedef -1]

;--------------------------------
; fXnP[
;--------------------------------
[State -1]
type = ChangeState
value = 3000
triggerall = command = "hurricane_xy"
triggerall = Power >= 1000
trigger1 = ctrl
trigger2 = MoveContact && (StateNo = 200)
trigger3 = MoveContact && (StateNo = 220)
trigger4 = MoveContact && (StateNo = 230)
trigger5 = MoveContact && (StateNo = 400)
trigger6 = MoveContact && (StateNo = 420)
trigger7 = MoveContact && (StateNo = 430)
trigger8 = MoveContact && (StateNo = 440)
trigger9 = StateNo = 800
trigger10 = StateNo = 805

;--------------------------------
; TCNfXTCY
;--------------------------------
[State -1]
type = ChangeState
value = 1000
triggerall = command = "cyclone_x"
trigger1 = ctrl
trigger2 = MoveContact && (StateNo = 200)
trigger3 = MoveContact && (StateNo = 220)
trigger4 = MoveContact && (StateNo = 230)
trigger5 = MoveContact && (StateNo = 400)
trigger6 = MoveContact && (StateNo = 420)
trigger7 = MoveContact && (StateNo = 430)
trigger8 = MoveContact && (StateNo = 440)
trigger9 = StateNo = 800
trigger10 = StateNo = 805
;--------------------------------
; TCNfXTCY
;--------------------------------
[State -1]
type = ChangeState
value = 1010
triggerall = command = "cyclone_y"
triggerall = power >= 500
trigger1 = ctrl
trigger2 = MoveContact && (StateNo = 200)
trigger3 = MoveContact && (StateNo = 220)
trigger4 = MoveContact && (StateNo = 230)
trigger5 = MoveContact && (StateNo = 400)
trigger6 = MoveContact && (StateNo = 420)
trigger7 = MoveContact && (StateNo = 430)
trigger8 = MoveContact && (StateNo = 440)
trigger9 = StateNo = 800
trigger10 = StateNo = 805

;--------------------------------
; oX^[V[h
;--------------------------------
[State -1]
type = ChangeState
value = 1020
triggerall = command = "shield_x"
trigger1 = ctrl && (StateType != A)
trigger2 = MoveContact && (StateNo = 200)
trigger3 = MoveContact && (StateNo = 220)
trigger4 = MoveContact && (StateNo = 230)
trigger5 = MoveContact && (StateNo = 400)
trigger6 = MoveContact && (StateNo = 420)
trigger7 = MoveContact && (StateNo = 430)
trigger8 = MoveContact && (StateNo = 440)
trigger9 = StateNo = 800
trigger10 = StateNo = 805

;--------------------------------
; oX^[V[h
;--------------------------------
[State -1]
type = ChangeState
value = 1030
triggerall = command = "shield_y"
triggerall = Power >= 500
trigger1 = ctrl && (StateType != A)
trigger2 = MoveContact && (StateNo = 200)
trigger3 = MoveContact && (StateNo = 220)
trigger4 = MoveContact && (StateNo = 230)
trigger5 = MoveContact && (StateNo = 400)
trigger6 = MoveContact && (StateNo = 420)
trigger7 = MoveContact && (StateNo = 430)
trigger8 = MoveContact && (StateNo = 440)
trigger9 = StateNo = 800
trigger10 = StateNo = 805

;--------------------------------
; oJ
;--------------------------------
[State -1]
type = ChangeState
value = 800
trigger1 = (command = "z") && (command != "holddown")
trigger1 = ctrl && (StateType = S)
trigger1 = var(2) && (NumHelper(8030))
trigger1 = Power >= 100

;--------------------------------
; oJ
;--------------------------------
[State -1]
type = ChangeState
value = 805
trigger1 = (command = "z") && (command = "holddown")
trigger1 = ctrl && (StateType = C)
trigger1 = var(2) && (NumHelper(8030))
trigger1 = Power >= 100

;--------------------------------
; _bV
;--------------------------------
[State -1]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;--------------------------------
; obN_bV
;--------------------------------
[State -1]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;--------------------------------
; f
;--------------------------------
[State -1]
type = ChangeState
value = 200
triggerall = (command = "x") && (command != "holddown")
trigger1 = ctrl && (StateType = S)
trigger2 = (StateNo = 101) || (StateNo = 106)
trigger3 = (StateNo = 200) && (AnimElem = 2,> 0)
trigger4 = (StateNo = 400) && MoveContact

;--------------------------------
; f苭
;--------------------------------
[State -1]
type = ChangeState
value = 210
triggerall = (command = "y") && (command != "holddown")
trigger1 = ctrl && (StateType = S)
trigger2 = (StateNo = 101) || (StateNo = 106)
trigger3 = (StateNo = 200) && MoveContact
trigger4 = (StateNo = 220) && MoveContact
trigger5 = (StateNo = 400) && MoveContact
trigger6 = (StateNo = 420) && MoveContact

;--------------------------------
; 
;--------------------------------
[State -1]
type = ChangeState
value = 220
triggerall = (command = "a") && (command != "holddown")
trigger1 = ctrl && (StateType = S)
trigger2 = (StateNo = 101) || (StateNo = 106)
trigger3 = (StateNo = 200) && MoveContact
trigger4 = (StateNo = 400) && MoveContact

;--------------------------------
; 틭
;--------------------------------
[State -1]
type = ChangeState
value = 230
triggerall = (command = "b") && (command != "holddown")
trigger1 = ctrl && (StateType = S)
trigger2 = (StateNo = 101) || (StateNo = 106)
trigger3 = (StateNo = 200) && MoveContact
trigger4 = (StateNo = 220) && MoveContact
trigger5 = (StateNo = 400) && MoveContact
trigger6 = (StateNo = 420) && MoveContact
trigger7 = (StateNo = 430) && MoveContact

;--------------------------------
; Ⴊݑf
;--------------------------------
[State -1]
type = ChangeState
value = 400
triggerall = (command = "x") && (command = "holddown")
trigger1 = ctrl && (StateType = C)
trigger2 = (StateNo = 101) || (StateNo = 106)
trigger3 = (StateNo = 200) && MoveContact
trigger4 = (StateNo = 400) && (AnimElem = 2,> 0)

;--------------------------------
; Ⴊݑf苭
;--------------------------------
[State -1]
type = ChangeState
value = 410
triggerall = (command = "y") && (command = "holddown")
trigger1 = ctrl && (StateType = C)
trigger2 = (StateNo = 101) || (StateNo = 106)
trigger3 = (StateNo = 200) && MoveContact
trigger4 = (StateNo = 220) && MoveContact
trigger5 = (StateNo = 400) && MoveContact
trigger6 = (StateNo = 420) && MoveContact

;--------------------------------
; Ⴊݕ
;--------------------------------
[State -1]
type = ChangeState
value = 420
triggerall = (command = "a") && (command = "holddown")
trigger1 = ctrl && (StateType = C)
trigger2 = (StateNo = 101) || (StateNo = 106)
trigger3 = (StateNo = 200) && MoveContact
trigger4 = (StateNo = 400) && MoveContact

;--------------------------------
; Ⴊݕ틭
;--------------------------------
[State -1]
type = ChangeState
value = 430
triggerall = (command = "b") && (command = "holddown")
trigger1 = ctrl && (StateType = C)
trigger2 = (StateNo = 101) || (StateNo = 106)
trigger3 = (StateNo = 200) && MoveContact
trigger4 = (StateNo = 220) && MoveContact
trigger5 = (StateNo = 400) && MoveContact
trigger6 = (StateNo = 420) && MoveContact

;--------------------------------
; Wvf
;--------------------------------
[State -1]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = ctrl && (StateType = A)

;--------------------------------
; Wvf苭
;--------------------------------
[State -1]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = ctrl && (StateType = A)

;--------------------------------
; Wv
;--------------------------------
[State -1]
type = ChangeState
value = 620
triggerall = command = "a"
trigger1 = ctrl && (StateType = A)

;--------------------------------
; Wv틭
;--------------------------------
[State -1]
type = ChangeState
value = 630
triggerall = command = "b"
trigger1 = ctrl && (StateType = A)

;--------------------------------
; K[h_bV
;--------------------------------
[State -1]
type = ChangeState
value = 850
trigger1 = command = "fwd_c"
trigger1 = ctrl && (StateType != A)

;--------------------------------
; K[hobN_bV
;--------------------------------
[State -1]
type = ChangeState
value = 860
trigger1 = command = "back_c"
trigger1 = ctrl && (StateType != A)

;--------------------------------
; 󒆃_bV
;--------------------------------
[State -1]
type = ChangeState
value = 820
trigger1 = command = "fwd_c"
trigger1 = StateNo = 810

;--------------------------------
; 󒆃obN_bV
;--------------------------------
[State -1]
type = ChangeState
value = 830
trigger1 = command = "back_c"
trigger1 = StateNo = 810

;--------------------------------
; 󒆃_bVij
;--------------------------------
[State -1]
type = ChangeState
value = 840
trigger1 = (command = "up_c") || (command = "c")
trigger1 = StateNo = 810

;--------------------------------
; o[jA
;--------------------------------
[State -1]
type = ChangeState
value = 810
trigger1 = (command = "c")
trigger1 = StateNo != 810
trigger1 = StateNo != 820
trigger1 = StateNo != 830
trigger1 = StateNo != 840
trigger1 = ctrl
